> For the complete documentation index, see [llms.txt](https://developers.yumpu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.yumpu.com/api/document-hotspot/documenthotspotdelete.md).

# Delete

## Delete one document hotspot

### Parameters:

| Name | Optional / Required | Data type | Description                      | Default |
| ---- | ------------------- | --------- | -------------------------------- | ------- |
| id   | required            | String    | One of your document hotspot ids |         |

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X DELETE -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "id=2d914999Iikh4a3I" "https://api.yumpu.com/2.0/document/hotspot.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$id = '02784dc6chuNtFd2';
$response = $yumpu->deleteDocumentHotspot($id);
print_r($response);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: '2d914999Iikh4a3I'
};
yumpu.deleteDocumentHotspot(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String id = "b762266fEuN7Bb5L";
System.out.println(y.deleteDocumentHotspot(id));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{
  "state": "success",
  "completed_in": "0.0871"
}
```
